{ }:
let
  sources = import ./nix/sources.nix;
  pkgs = import sources.unstable { };
in
pkgs.mkShell {
  nativeBuildInputs = with pkgs.buildPackages; [
    llama-cpp
  ];

  shellHook = ''
    llama-server -m /models/DeepSeek-R1-Distill-Qwen-14B-Uncensored.Q4_K_S.gguf
  '';
}
