{ lib, config, options, pkgs, modulesPath, ... }:
with lib;
let
  cfg = config.yoda.btrfsMounts;
in
{
  options = {
    yoda.btrfsFileSystems = mkOption {
      type = types.listOf types.path;
      default = ["/"];
      example = ["/" "/mnt/data"];
      description = ''
        List containing each mounted BTRFS filesystem once.
      '';
    };
  };
}