{ config, pkgs, ... }:
{
  imports = [
    # Provides fastboot and udev rules
    ./android.nix
  ];

  environment.systemPackages = with pkgs; [
    unstable.pmbootstrap
  ];

  # Required to serve the postmarketOS image via netboot.
  # https://wiki.postmarketos.org/wiki/Netboot#Usage
  networking.firewall.allowedTCPPorts = [ 9999 ];
}
