# https://wiki.nixos.org/wiki/Snap
# - No official support in nixpkgs
# - There is a community module
# https://github.com/nix-community/nix-snapd?tab=readme-ov-file#channels
# - Community module `nix-snapd` provides option `services.snap.enable`

{ config, pkgs, lib, ... }:
let
  sources = import ../nix/sources.nix;
in
{
  imports = [
    # Import nix-snapd with niv.
    (import sources.nix-snapd).nixosModules.default
  ];

  services.snap.enable = true;
}
